| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Public Member Functions | Protected Attributes | Friends
Fling::Resource Class Reference

Base class that represents a loaded resource in the engine. More...

`#include <Resource.h>`

Inherited by Fling::File, Fling::HDRImage, Fling::JsonFile, Fling::Model, Fling::Shader, and Fling::Texture.

## Public Member Functions
| Resource (Fling::Guid t_ID)
virtual | ~Resource ()=default
Fling::Guid_Handle | GetGuidHandle () const
| Get GUID handle (just an int) for this resources guid. More...
const std::string & | GetGuidString () const
| Get the human-readable string representation of this GUID. More...
std::string | GetFilepathReleativeToAssets () const
| Returns the full file path that is relative to the assets path based on the GUID of this resource. More...

## Protected Attributes
Fling::Guid | m_Guid
std::string | m_HumanReadableName

## Friends
class | ResourceManager

## Detailed Description

Base class that represents a loaded resource in the engine.

## Constructor & Destructor Documentation

## ◆ Resource()

Fling::Resource::Resource | ( | Fling::Guid | t_ID | ) |
| inline explicit

## ◆ ~Resource()

virtual Fling::Resource::~Resource | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ GetFilepathReleativeToAssets()

std::string Fling::Resource::GetFilepathReleativeToAssets | ( |  | ) | const

Returns the full file path that is relative to the assets path based on the GUID of this resource.

## ◆ GetGuidHandle()

Fling::Guid_Handle Fling::Resource::GetGuidHandle | ( |  | ) | const
| inline

Get GUID handle (just an int) for this resources guid.

Use this to pass around to different functions instead of the whole GUID

Returns
  Fling::Guid_Handle

## ◆ GetGuidString()

const std::string& Fling::Resource::GetGuidString | ( |  | ) | const
| inline

Get the human-readable string representation of this GUID.

Returns
  std::string

## Friends And Related Function Documentation

## ◆ ResourceManager

friend class ResourceManager
| friend

## Field Documentation

## ◆ m_Guid

Fling::Guid Fling::Resource::m_Guid
| protected

## ◆ m_HumanReadableName

std::string Fling::Resource::m_HumanReadableName
| protected

The documentation for this class was generated from the following files:

- FlingEngine/Resources/inc/Resource.h
- FlingEngine/Resources/src/Resource.cpp